<script lang="ts">
import Vue from 'vue';
export default Vue.extend({
  name: 'WhyUpgradeQuote',
  props: {
    quoteText: {
      type: String,
      required: false,
      default: '',
    },
    author: {
      type: String,
      required: false,
      default: '',
    },
    authorTitle: {
      type: String,
      required: false,
      default: '',
    },
  },
  data() {
    return {};
  },
});
</script>
<template>
  <section class="why-upgrade-quote why-upgrade__section">
    <SlpTypography
      tag="div"
      variant="heading5"
      class="slp-mb-24 why-upgrade-quote__text"
    >
      <div v-html="$md.render(quoteText)"></div>
    </SlpTypography>
    <SlpTypography tag="div" variant="body2-bold" class="slp-mb-4">{{
      author
    }}</SlpTypography>
    <SlpTypography tag="div" variant="body2" class="">{{
      authorTitle
    }}</SlpTypography>
  </section>
</template>

<style scoped lang="scss">
.why-upgrade-quote {
  &__text {
    &:deep {
      h2 {
        font-weight: 600;
        margin-bottom: 24px;
      }
      em {
        font-size: 22px;
        font-style: italic;
        font-weight: 400;
        line-height: 36px;
        text-align: left;
      }
    }
  }
}
</style>
